Bug 186875 - databases/postgresql84-server: Does not build with icu on FreeBSD 10
databases/postgresql84-server: Does not build with icu on FreeBSD 10
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: pgsql
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-18 16:20 UTC by jbozza
Modified: 2014-03-23 10:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jbozza 2014-02-18 16:20:01 UTC
Build fails with icu patch.

/usr/bin/ld: 9: invalid DSO for symbol `ucnv_getDefaultName_52' definition
/usr/local/lib/libicuuc.so.52: could not read symbols: Bad value
cc: error: linker command failed with exit code 1 (use -v to see invocation)
gmake[2]: *** [postgres] Error 1
gmake[2]: Leaving directory `/usr/ports/databases/postgresql84-server/work/postgresql-8.4.19/src/backend'

Build works fine on FreeBSD 9.2 and before.

How-To-Repeat: Build port with icu option.
Comment 1 Edwin Groothuis freebsd_committer 2014-02-18 16:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgsql

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Palle Girgensohn freebsd_committer 2014-03-19 23:11:22 UTC
State Changed
From-To: open->feedback

$ nm  -D /usr/local/lib/libicuuc.so.52.1|grep ucnv_getDefaultName_52 
0000000000072a70 T ucnv_getDefaultName_52 
$ pkg info -Ix icu 
icu-52.1                       International Components for Unicode (from IBM) 

This looks fine and works for me. Are you sure your ICU is up to date?
Comment 3 jbozza 2014-03-20 20:01:15 UTC
Loaded up clean FreeBSD 10 installations, both 32-bit and 64-bit. Starting =
from scratch, all defaults, I did the following:

1) pkg info - to force installation of the new package tools
2) install ports tree using svnlite=20
3) install ports-mgmt/dialog4ports
4) make install under databases/postgresql84-server
5) Check ICU option for configuration settings, leaving all other options a=
t default
6) Left default options checked for all dependencies

Received the same error as before.=20
$ pkg info
autoconf-2.69                  Automatically configure source code on many =
Un*x platforms
autoconf-wrapper-20131203      Wrapper script for GNU autoconf
dialog4ports-0.1.5_2           Console Interface to configure ports
gettext-0.18.3.1               GNU gettext package
gmake-3.82_1                   GNU version of 'make' utility
help2man-1.43.3_1              Automatically generating simple manual pages=
 from program output
icu-52.1                       International Components for Unicode (from I=
BM)
libxml2-2.8.0_3                XML parser library for GNOME
m4-1.4.17_1,1                  GNU m4
p5-Locale-gettext-1.05_3       Message handling functions
perl5-5.16.3_8                 Practical Extraction and Report Language
pkg-1.2.6                      New generation package manager
pkgconf-0.9.5                  Utility to help to configure compiler and li=
nker flags
postgresql84-client-8.4.21     PostgreSQL database (client)

(FreeBSD 10, 64-bit)
$ nm  -D /usr/local/lib/libicuuc.so.52.1|grep ucnv_getDefaultName_52
0000000000072a70 T ucnv_getDefaultName_52

(FreeBSD 10, 32-bit)
$ nm  -D /usr/local/lib/libicuuc.so.52.1|grep ucnv_getDefaultName_52
000567e0 T ucnv_getDefaultName_52

Let me know what else you need from me!

Jaime
Comment 4 dfilter freebsd_committer 2014-03-23 10:32:49 UTC
Author: girgen
Date: Sun Mar 23 10:32:45 2014
New Revision: 348849
URL: http://svnweb.freebsd.org/changeset/ports/348849
QAT: https://qat.redports.org/buildarchive/r348849/

Log:
  Fix problem building postgresql84-server with ICU patch
  PR:	ports/186875

Modified:
  head/databases/postgresql84-server/Makefile
  head/databases/postgresql84-server/distinfo

Modified: head/databases/postgresql84-server/Makefile
==============================================================================
--- head/databases/postgresql84-server/Makefile	Sun Mar 23 09:53:49 2014	(r348848)
+++ head/databases/postgresql84-server/Makefile	Sun Mar 23 10:32:45 2014	(r348849)
@@ -20,7 +20,7 @@ CONFLICTS?=	${PORTNAME}[^${PORTVERSION:R
 WRKSRC=		${WRKDIR}/postgresql-${DISTVERSION}
 DIST_SUBDIR=	postgresql
 
-ICU_PATCHFILE?=	pg-8419-icu-2014-02-10.diff.gz
+ICU_PATCHFILE?=	pg-8419-icu-2014-03-23.diff.gz
 
 UNIQUENAME?=	${PORTNAME}${DISTVERSION:R:S/.//}
 

Modified: head/databases/postgresql84-server/distinfo
==============================================================================
--- head/databases/postgresql84-server/distinfo	Sun Mar 23 09:53:49 2014	(r348848)
+++ head/databases/postgresql84-server/distinfo	Sun Mar 23 10:32:45 2014	(r348849)
@@ -1,4 +1,4 @@
 SHA256 (postgresql/postgresql-8.4.21.tar.bz2) = 388f67e59f2a16c27e84f50656f5d755adf3d0a883138366d091aa0c727c1e2c
 SIZE (postgresql/postgresql-8.4.21.tar.bz2) = 14645050
-SHA256 (postgresql/pg-8419-icu-2014-02-10.diff.gz) = a67fc17ef9985200cd25d6d534338305978496ea13d86fc6d1f6125d36ecf78f
-SIZE (postgresql/pg-8419-icu-2014-02-10.diff.gz) = 4374
+SHA256 (postgresql/pg-8419-icu-2014-03-23.diff.gz) = 818b0dbf6fb9a786768ce1ea6024faa6b8705692cfbf3b4c4c973b159936c5ec
+SIZE (postgresql/pg-8419-icu-2014-03-23.diff.gz) = 4374
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Palle Girgensohn freebsd_committer 2014-03-23 10:33:02 UTC
State Changed
From-To: feedback->closed

Fix committed. Thanks for the report!